Subject: Re: linux-next: build failure after merge of the tty tree

From: Greg KH <[email-masked]>
Date: Mon, 6 Feb 2017 09:51:05 +0100

On Mon, Feb 06, 2017 at 03:22:09PM +1100, Stephen Rothwell wrote:
> Hi Greg,
> 
> After merging the tty tree, today's linux-next build (x86_64 allmodconfig)
> failed like this:
> 
> ERROR: "of_device_uevent_modalias" [drivers/tty/serdev/serdev.ko] undefined!
> ERROR: "of_device_get_modalias" [drivers/tty/serdev/serdev.ko] undefined!
> 
> Caused by commit
> 
>   cd6484e1830b ("serdev: Introduce new bus for serial attached devices")
> 
> I have used the tty tree from next-20170203 for today.

Ugh, how has this been passing the 0-day bot builds succesfully?

Rob, any ideas?

thanks,

greg k-h